import Vue from "vue";
import VueRouter from 'vue-router';

import Pregraft from "../views/Pregraft"
import Postgraft from "../views/Postgraft"

Vue.use(VueRouter);

const routes = [
    {
        path: '/', name: 'home',
        meta: {
            reload: true,
        },
        component: Pregraft
    },
    {
        path: '/example', name: 'example',
        meta: {
            reload: true,
            activateExample: true
        },
        component: Pregraft
    },
    { path: '/results/:jobId', name: 'results', component: Postgraft }
]

export default new VueRouter({
    routes
})