module.exports = {
  publicPath: `/${process.env.VUE_APP_SLUG}/`,
  configureWebpack: {
    devtool: 'source-map',
    devServer: {
      port: 8080,
      watchOptions: {
        poll: true,
      },
    },
  },
  chainWebpack: config => {
    config.module
      .rule('raw')
      .test(/\.res\.[a-z]*$/)
      .use('raw-loader')
      .loader('raw-loader')
      .end()
  }
}
